package com.cocos.aidl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import android.hardware.HardwareBuffer;
import android.os.IBinder;
import android.os.Parcel;
import android.os.ParcelFileDescriptor;
import android.os.RemoteException;
import com.cocos.aidl.ICocosRemoteRenderCallback;

class Proxy implements ICocosRemoteRenderCallback {
  private IBinder mRemote;
  
  public static ICocosRemoteRenderCallback sDefaultImpl;
  
  Proxy(IBinder remote) {
    this.mRemote = remote;
  }
  
  public IBinder asBinder() {
    return this.mRemote;
  }
  
  public String getInterfaceDescriptor() {
    return "com.cocos.aidl.ICocosRemoteRenderCallback";
  }
  
  public void onUpdateHardwareBuffer(HardwareBuffer buffer) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRenderCallback");
      if (buffer != null) {
        _data.writeInt(1);
        buffer.writeToParcel(_data, 0);
      } else {
        _data.writeInt(0);
      } 
      boolean _status = this.mRemote.transact(1, _data, _reply, 0);
      if (!_status && ICocosRemoteRenderCallback.Stub.getDefaultImpl() != null) {
        ICocosRemoteRenderCallback.Stub.getDefaultImpl().onUpdateHardwareBuffer(buffer);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void onUpdateEGLSync(ParcelFileDescriptor syncFd) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRenderCallback");
      if (syncFd != null) {
        _data.writeInt(1);
        syncFd.writeToParcel(_data, 0);
      } else {
        _data.writeInt(0);
      } 
      boolean _status = this.mRemote.transact(2, _data, _reply, 0);
      if (!_status && ICocosRemoteRenderCallback.Stub.getDefaultImpl() != null) {
        ICocosRemoteRenderCallback.Stub.getDefaultImpl().onUpdateEGLSync(syncFd);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void onWaitClientFinishRender() throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRenderCallback");
      boolean _status = this.mRemote.transact(3, _data, _reply, 0);
      if (!_status && ICocosRemoteRenderCallback.Stub.getDefaultImpl() != null) {
        ICocosRemoteRenderCallback.Stub.getDefaultImpl().onWaitClientFinishRender();
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void onHeartBeatForRemoteRenderCallback() throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRenderCallback");
      boolean _status = this.mRemote.transact(4, _data, _reply, 0);
      if (!_status && ICocosRemoteRenderCallback.Stub.getDefaultImpl() != null) {
        ICocosRemoteRenderCallback.Stub.getDefaultImpl().onHeartBeatForRemoteRenderCallback();
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void onReportError(String errorStr) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRenderCallback");
      _data.writeString(errorStr);
      boolean _status = this.mRemote.transact(5, _data, _reply, 0);
      if (!_status && ICocosRemoteRenderCallback.Stub.getDefaultImpl() != null) {
        ICocosRemoteRenderCallback.Stub.getDefaultImpl().onReportError(errorStr);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
}
